#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 enclosed-exceptions
version:              1.0.3
visibility:           public
id:                   enclosed-exceptions-1.0.3-2l0v4PrZs7iCZ0ON0jk3lZ
key:                  enclosed-exceptions-1.0.3-2l0v4PrZs7iCZ0ON0jk3lZ
license:              MIT
maintainer:           jmacristovao@gmail.com, michael@snoyman.com
author:               Michael Snoyman, João Cristóvão
homepage:             https://github.com/jcristovao/enclosed-exceptions
synopsis:             Catching all exceptions from within an enclosed computation
description:
    Catching all exceptions raised within an enclosed computation,
    while remaining responsive to (external) asynchronous exceptions.
    For more information on the technique, please see:
    <https://www.fpcomplete.com/user/snoyberg/general-haskell/exceptions/catching-all-exceptions>

category:             Control
abi:                  8f39e55cfb8e6121efd60160e61cd0d3
exposed:              True
exposed-modules:      Control.Exception.Enclosed
import-dirs:          /usr/lib/ghc-8.10.4/site-local/enclosed-exceptions-1.0.3
library-dirs:         /usr/lib/ghc-8.10.4/site-local/enclosed-exceptions-1.0.3
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.4/enclosed-exceptions-1.0.3

hs-libraries:         HSenclosed-exceptions-1.0.3-2l0v4PrZs7iCZ0ON0jk3lZ
depends:
    base-4.14.1.0 deepseq-1.4.4.0
    lifted-base-0.2.3.12-24Sl1vSDHCQEzxxjjhhxA6
    monad-control-1.0.2.3-1ZzQHBJwKVs8ZhFdQI2kMK transformers-0.5.6.2
    transformers-base-0.4.5.2-KXpOZ2jEitWE8FCwbHQTy

haddock-interfaces:
    /usr/share/doc/haskell-enclosed-exceptions/html/enclosed-exceptions.haddock

haddock-html:         /usr/share/doc/haskell-enclosed-exceptions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

